Subject: bug#4699 closed by Stefan Monnier <[email-masked]> (Re: bug#4699: 23.1.50; lisp-complete-symbol erases text)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 15 Oct 2009 15:40:13 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4699: 23.1.50; lisp-complete-symbol erases text

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
4699: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4699
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4699: 23.1.50; lisp-complete-symbol erases text
From: Stefan Monnier <[email-masked]>
To: Markus Rost <[email-masked]>
Date: Thu, 15 Oct 2009 11:32:17 -0400

>> I hate completion-base-size!
> Lucky me:  I have never met it in person.

As a matter of fact you have, as is witnessed by your bug-report.
You just didn't know its name.

>> I've installed a set of changes
> Wow, looks like you have changed the bigger part of Emacs.

I just have too much time, too little to do.

> The original problem is fixed for me.

Thank you for confirming,

>         Markus "who believes in a bug-free Emacs"

Heretic!

        Stefan

Subject: 23.1.50; lisp-complete-symbol erases text
From: Markus Rost <[email-masked]>
To: [email-masked]
Date: Sun, 11 Oct 2009 19:08:36 +0200 (CEST)

Recipe:  Prepare buffer *scratch* as follows

=== Buffer *scratch* =======================================
;; This buffer is for notes you don't want to save, and for Lisp evaluation.
;; If you want to create a file, visit that file with C-x C-f,
;; then enter the text in that file's own buffer.

(symbol
============================================================

Put point after "(symbol", hit M-TAB (or M-x lisp-complete-symbol) and
in buffer *Completions*  click with mouse-2 on "symbolp".  The buffer
looks now as follows:

=== Buffer *scratch* =======================================
symbolp
============================================================

The problem does not depend on the particular buffer (same problem in
Emacs-Lisp mode buffers) and the particular word to be completed.

The problem does not appear with lisp.el.~1.103~, the version before
the following change:

2009-08-30  Stefan Monnier  <[email-masked]>

	* emacs-lisp/lisp.el (lisp-complete-symbol): Use minibuffer-complete.